## rtpdtmfmux rtpdtmfmux — mixes RTP DTMF streams into other RTP streams |

## Synopsis

                        GstRTPDTMFMux;

## Signals

      "locking"                                        : Run Last
      "unlocked"                                       : Run Last

## Description

The RTP "DTMF" Muxer muxes multiple RTP streams into a valid RTP stream. It does exactly what it's parent (rtpmux) does, except that it prevent buffers coming over a regular sink_%`d` pad from going through for the duration of buffers that came in a priority_sink_%`d` pad.

## Details

### GstRTPDTMFMux

    typedef struct {
      GstRTPMux mux;

      /* Protected by object lock */
      GstClockTime last_priority_end;
    } GstRTPDTMFMux;

The opaque GstRTPDTMFMux structure.

## Signal Details

### The `"locking"` signal

    void                user_function                      (GstRTPDTMFMux *gstrtpdtmfmux,
                                                            GstPad        *arg1,
                                                            gpointer       user_data)          : Run Last

`gstrtpdtmfmux` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

### The `"unlocked"` signal

    void                user_function                      (GstRTPDTMFMux *gstrtpdtmfmux,
                                                            GstPad        *arg1,
                                                            gpointer       user_data)          : Run Last

`gstrtpdtmfmux` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.

## See Also

rtpdtmfsrc, dtmfsrc, rtpmux